/*
* Copyright (c) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*     CInstallObserver class implementation.
*
*
*/


#include <e32base.h>
#include <swinstdefs.h>
#include "bootstrapinstallationobserver.h"
#include "bootstrapappui.h"

CInstallObserver::CInstallObserver(CBootstrapAppUi* aBsAppUiObj) :
	CActive(CActive::EPriorityStandard),
	iBsAppUiObj(aBsAppUiObj)
	{
	CActiveScheduler::Add(this);
	}

CInstallObserver::~CInstallObserver()
	{
	Cancel();
	}

void CInstallObserver::RunL()
	{
	// Invoke the handler function installation complete,
	// passing the status
	iBsAppUiObj->HandleInstallCompleteL(iStatus.Int());
	}

TInt CInstallObserver::RunError(TInt aError)
	{
    // TODO: HACK! We just ignore the RunError.
    // This will get called when ADM is downloaded/installed and
    // when bootstrap tries to exit, we get run error -1003.
//    RDebug::Print(_L("BOOTSTRAP: CInstallObserver::RunError(%d)"), aError);
/*
    iBsAppUiObj->ExitWithError(R_INSTALLATION_FAILURE_ERR);
*/
	return KErrNone;
	}

void CInstallObserver::DoCancel()
	{
	}

void CInstallObserver::Start()
	{
	SetActive();
	}
